> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/help-center/troubleshooting/troubleshooting-managing-multiple-currencies-in-the-campaign-reporting.md).

# \[Troubleshooting] Managing multiple currencies in the campaign reporting

Managing multiple currencies within a single account or campaign reporting is challenging and not natively supported. If you have transactions in various currencies, the reporting will combine all currencies as if they were equivalent, treating $1 = €1 = £1, without applying any exchange rates.

Below are some options on how to manage multiple currencies in the campaign reporting.

### Multiple accounts <a href="#h_01j6yctzac54wh74p783pg8xhq" id="h_01j6yctzac54wh74p783pg8xhq"></a>

#### Option 1: Setting Up Accounts for Different Markets <a href="#h_01j6yctzack8tqh405cns49qdm" id="h_01j6yctzack8tqh405cns49qdm"></a>

To handle multiple currencies, one solution is to create separate AB Tasty accounts for each market. Ensure each market has its own AB Tasty account. For example, if you have markets in the UK, Germany, and France, you should create separate accounts for each.

To create new AB Tasty accounts, please reach out to your dedicated Key Account Manager or Customer Success Manager (CSM).

#### Option 2: Implementing Advanced Settings <a href="#h_01j6yctzad578jkx6gd4cqy7xk" id="h_01j6yctzad578jkx6gd4cqy7xk"></a>

Use **Cookie path restriction** and/or the **Domain restriction** to manage the tag by accounts. For example, set `/uk` for the UK, `/de` for Germany, etc.

### Single account <a href="#h_01j6yctzadgcm6j60c807nxfgb" id="h_01j6yctzadgcm6j60c807nxfgb"></a>

If you prefer to manage multiple currencies within a single account, here are the other options:

#### 1. Currency filter <a href="#h_01j6yctzadvsc96exkd7wjersp" id="h_01j6yctzadvsc96exkd7wjersp"></a>

Use the native currency filter to categorize transactions based on currency:

Set a currency filter, in the transaction section, and choose your currency. This will show you all the transactions in the selected currency.

#### 2. Custom Transaction Tag <a href="#h_01j6yctzadsq9n9sch1qksw5my" id="h_01j6yctzadsq9n9sch1qksw5my"></a>

To implement a custom transaction tag for each currency based on the URL or other parameters, you'll need to undertake custom development. This ensures that data collection remains accurate across different currencies. If you're interested in using this solution, please contact your Customer Success Manager (CSM) to help set it up.

#### 3. Currency Converter <a href="#h_01j6yctzadpcr5fge89q0hk2fr" id="h_01j6yctzadpcr5fge89q0hk2fr"></a>

The currency converter is a custom JS code created by AB Tasty teams and added to the global account code to automatically convert the transactions sent in the report. This is a free option, just contact your dedicated CSM if you want to install the Currency Converter in your account(s).

The currency converter is a custom JavaScript code developed by the AB Tasty team and integrated into the global account code to automatically convert transaction values in reports. This feature is available at no cost. Contact your dedicated Customer Success Manager (CSM) to have the Currency Converter installed in your account(s).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/help-center/troubleshooting/troubleshooting-managing-multiple-currencies-in-the-campaign-reporting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
